// Zadatak02.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <string>
using namespace std;

struct Knjiga
{
    string Autor, Naslov;
    int BrojStranica;
};

void UcitavanjeKnjiga(Knjiga* kolekcijaKnjiga, int velicinaKolekcije)
{
    for (int i = 0; i < velicinaKolekcije; i++)
    {
        cout << "Knjiga " << (i + 1) << endl;
        cout << "Autor: ";
        getline(cin, kolekcijaKnjiga[i].Autor);

        cout << "Naslov: ";
        getline(cin, kolekcijaKnjiga[i].Naslov);

        cout << "Broj stranica: ";
        cin >> kolekcijaKnjiga[i].BrojStranica;
        cin.ignore();
        system("cls");
    }
}

void IspisKnjiga(Knjiga* kolekcijaKnjiga, int velicinaKolekcije)
{
    for (int i = 0; i < velicinaKolekcije; i++)
    {
        cout << (i + 1) << ". Knjiga" << endl;
        cout << "Autor: " << kolekcijaKnjiga[i].Autor<<endl;
        cout << "Naslov: " << kolekcijaKnjiga[i].Naslov << endl;
        cout << "Broj stranica: " << kolekcijaKnjiga[i].BrojStranica << endl<<endl;
    }
}

void DefinirajDebljinu(Knjiga* kolekcijaKnjiga, int velicinaKolekcije, Knjiga* najtanja, Knjiga* najdeblja)
{
    int min = kolekcijaKnjiga[0].BrojStranica;
    int max = kolekcijaKnjiga[0].BrojStranica;

    for (int i = 0; i < velicinaKolekcije; i++)
    {
        if (kolekcijaKnjiga[i].BrojStranica < min)
        {
            min = kolekcijaKnjiga[i].BrojStranica;
            *najtanja = kolekcijaKnjiga[i];
        }
        if (kolekcijaKnjiga[i].BrojStranica > max)
        {
            max = kolekcijaKnjiga[i].BrojStranica;
            *najdeblja = kolekcijaKnjiga[i];
        }

    }
}

int main()
{
    Knjiga kolekcijaKnjiga[3];
    Knjiga NajtanjaKnjiga, NajdebljaKnjiga;

    UcitavanjeKnjiga(kolekcijaKnjiga, 3);
    IspisKnjiga(kolekcijaKnjiga, 3);
    DefinirajDebljinu(kolekcijaKnjiga, 3, &NajtanjaKnjiga, &NajdebljaKnjiga);
    cout << "NAJTANJA: " << NajtanjaKnjiga.Naslov << endl;
    cout << "NAJDEBLJA: " << NajdebljaKnjiga.Naslov;
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
